<?php

namespace B2buy\Master\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class MastersTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('b2buy_master_masters')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'b2buy.master.masters.view',
                'name'      => 'View Masters',
            ],
            [
                'slug'      => 'b2buy.master.masters.create',
                'name'      => 'Create Masters',
            ],
            [
                'slug'      => 'b2buy.master.masters.edit',
                'name'      => 'Update Masters',
            ],
            [
                'slug'      => 'b2buy.master.masters.delete',
                'name'      => 'Delete Masters',
            ],
            
                        [
                'slug'      => 'b2buy.master.masters.verify',
                'name'      => 'Verify Masters',
            ],
            [
                'slug'      => 'b2buy.master.masters.approve',
                'name'      => 'Approve Masters',
            ],
            [
                'slug'      => 'b2buy.master.masters.publish',
                'name'      => 'Publish Masters',
            ],
            [
                'slug'      => 'b2buy.master.masters.unpublish',
                'name'      => 'Unpublish Masters',
            ],
            [
                'slug'      => 'b2buy.master.masters.cancel',
                'name'      => 'Cancel Masters',
            ],
            [
                'slug'      => 'b2buy.master.masters.archive',
                'name'      => 'Archive Masters',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/masters',
                'name'        => 'Masters',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/masters',
                'name'        => 'Masters',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'masters',
                'name'        => 'Masters',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Masters',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'b2buy.master.masters.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
