<?php

namespace B2buy\Master\Actions;

use Illuminate\Http\Request;
use B2buy\Master\Models\Masters;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class MastersWorkflow
{
    use AsAction;
    
    private $model;
    private $namespace = 'b2buy.master.$masters';
    private $transition;
    protected $eventClass = \B2buy\Master\Events\MastersWorkflow::class;
    private $function;
    private $request;

    public function handle(string $transition, Masters $masters, array $request = [])
    {
        $this->model = $masters;
        $this->request = $request;
        $this->transition = $transition;
        $this->function = Str::camel($transition);
        $this->executeWorkflow();
        return $this->model;
    }

    public function submit()
    {
        $this->model->status = 'Pending';
        $this->model->save();
        return $this->model;
    }

    public function approve()
    {
        $this->model->status = 'Approved';
        $this->model->save();
        return $this->model;
    }

    public function reject()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }

    public function publish()
    {
        $this->model->status = 'Published';
        $this->model->save();
        return $this->model;
    }

    public function unpublish()
    {
        $this->model->status = 'Unpublished';
        $this->model->save();
        return $this->model;
    }

    public function archive()
    {
        $this->model->status = 'Archived';
        $this->model->save();
        return $this->model;
    }

    public function unarchive()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }
}
