<?php

namespace B2buy\Master\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use B2buy\Master\Http\Requests\MastersActionsRequest;
use B2buy\Master\Actions\MastersActions;

/**
 * Admin web controller class.
 */
class MastersActionsController extends BaseController
{

    /**
     * Action controller function for masters.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(MastersActionsRequest $request, $action)
    {
        try {
            $masters = MastersActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('master::masters.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('master/masters/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('master/masters/' . $action))
                ->redirect();
        }
    }
}
