<?php
namespace B2buy\Master\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use B2buy\Master\Events\MastersAction as MastersActionEvent;
use B2buy\Master\Models\Masters;

class MastersAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $masters;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param MastersActionEvent $masters
     */
    public function __construct(MastersActionEvent $masters)
    {
        $this->action = $event->action;
        $this->masters = $masters;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Masters Approved - ' . config('app.name'))
            ->view('master::masters.email.action', ['data' => $this->masters]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
