<?php

namespace B2buy\Master\Policies;

use B2buy\Master\Models\Masters;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait MastersAction
{

    /**
     * Determine if the given user can copy the given masters.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Masters $masters)
    {

        if ($authUser->canDo('master.masters.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given masters.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Masters $masters) {

        if ($authUser->canDo('master.masters.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given masters.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Masters $masters)
    {

        if ($authUser->canDo('master.masters.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
